# frozen_string_literal: true

class LockManager
  include Singleton

  delegate_missing_to :client

  private

  def client
    @client = Redlock::Client.new([ENV.fetch('REDIS_URL') { 'redis://localhost:6379/1' }])
  end
end
