# frozen_string_literal: true

module ProjectTypes
  extend ActiveSupport::Concern

  ALLOWED_TYPES = {
    policlinic: 'policlinic',
    mfc: 'mfc',
    no_project: 'no_project'
  }.freeze

  included do
    enum project_type: ALLOWED_TYPES
  end
end
