# frozen_string_literal: true

class Parameter < ApplicationRecord
  has_many :parameters_criteria, dependent: :restrict_with_exception
  has_many :criteria, through: :parameters_criteria

  validates :title, presence: true
end
