# frozen_string_literal: true

module CalendarDays
  class Base
    include Dry::Monads[:result, :do]
    include AfterCommitEverywhere

    static_facade :call

    def call
      NotImplementedError
    end
  end
end
