module Checklists
  class ExtractParameterIds
    static_facade :call
    pattr_initialize :checklist
  
    def call
      parsed_checklist_raw_data = JSON[checklist.raw_data]
  
      parameter_ids = []
      parsed_checklist_raw_data['blocks']&.each do |raw_block|
        raw_block['groups']&.each do |raw_group|
          raw_group['parameters']&.each do |raw_parameter|
            parameter_ids << raw_parameter['uid']
          end
        end
      end
  
      parameter_ids
    end
  end
end