# frozen_string_literal: true

module Admin
  class InspectionSchedulePolicy < ApplicationPolicy
    def show?
      user.superadmin? || user.admin? || user.curator?
    end

    def create?
      user.superadmin? || user.admin?
    end
    alias destroy? create?
  end
end
