# frozen_string_literal: true

module Admin
  class NonWorkingDayPolicy < ApplicationPolicy
    def index?
      return true if user.superadmin?
      return true if user.admin?

      false
    end

    def show?
      index?
    end

    def create?
      index?
    end

    def destroy?
      index?
    end
  end
end
