# frozen_string_literal: true

module Admin
  class ReportPolicy < ApplicationPolicy
    def index?
      user.superadmin? || user.admin?
    end

    def show?
      return true if user.superadmin?
      return true if user.admin_of_project?(record.project_type)

      false
    end

    alias create? index?
  end
end
