# frozen_string_literal: true

module Admin
  class WorkingNormPolicy < ApplicationPolicy
    def index?
      user.superadmin? || user.admin?
    end

    alias show? index?
    alias create? index?
    alias update? index?
    alias destroy? index?
  end
end
