# frozen_string_literal: true

class CalendarDaySearcher < BaseSearcher
  filter :date, Hash

  sorting :date

  def apply_base_scope
    where[:user_id] = current_user.id
    where[:kind] = CalendarDay::KINDS[:working]
  end
end
