# frozen_string_literal: true

class ChecklistSearcher < BaseSearcher
  search_fields :name

  sorting :created_at

  def after_filter
    where[:_and] = [{ project_type: current_project_type }]
  end
end
