# frozen_string_literal: true

class CriterionSearcher < BaseSearcher
  search_fields :title

  sorting :position

  def apply_base_scope
    where[:archived_at] = nil
  end

  def after_filter
    where[:_and] = [{ project_type: current_project_type }]
  end
end
