# frozen_string_literal: true

class CalendarDaySerializer < Blueprinter::Base
  transform LowerCamelTransformer

  association :inspections, blueprint: InspectionSerializer, default: []

  fields :id, :date, :working_hours, :user_id
  field :kind do |calendar_day|
    calendar_day.extended_kind.presence || calendar_day.kind
  end
end
