# frozen_string_literal: true

json.id @file_archive.id
json.files @file_archive.files do |file|
  json.parameter_title @file_names[file.key]
  json.thumbnail_url file.image? ? Rails.application.routes.url_helpers.url_for(file) : nil
  json.content_type file.content_type.split('/').first
  json.key file.key
end
