# frozen_string_literal: true

json.(inspection, :id, :date, :starts_at, :ends_at, :state, :cancel_reason)
json.time_to_inspect_minutes inspection.inspectable.respond_to?(:time_to_inspect_minutes) ? inspection.inspectable.time_to_inspect_minutes : nil

json.inspector_short_full_name inspection.inspector.short_full_name
json.inspector_id inspection.inspector.id

json.inspectable_name inspection.inspectable.name
json.inspectable_id inspection.inspectable.id

json.checklist_name inspection.checklist.name
json.checklist_id inspection.checklist.id

json.project_type inspection.inspectable_type.downcase
json.raw_data inspection.raw_data.presence || inspection.checklist.raw_data
