# frozen_string_literal: true

json.users @users do |user|
  json.(user, :id, :project_type)
  json.curator_name user.curator&.short_full_name
  json.curator_id user.curator&.id
  json.errors user.errors.full_messages if user.errors.any?
end
