# frozen_string_literal: true

json.csrf @csrf
json.call(@user, :id, :short_full_name, :first_name, :middle_name, :last_name, :role, :project_type)

json.curator do
  if @user.curator.present?
    json.call(@user.curator, :short_full_name)
  else
    json.null!
  end
end
