class RenameBlockParametersToGroupableParameters < ActiveRecord::Migration[6.0]
  def change
    rename_table :blocks_parameters, :groupable_parameters
    
    rename_column :groupable_parameters, :block_id, :groupable_id
    add_column :groupable_parameters, :groupable_type, :string

    add_index :groupable_parameters, [:groupable_type, :groupable_id]
  end
end
