# frozen_string_literal: true

class AddStateToUsers < ActiveRecord::Migration[6.0]
  def change
    add_column :users, :state, :string, null: false
    add_column :users, :gender, :string, null: false
    add_column :users, :recovery_password_token, :string
    add_column :users, :recovery_password_token_sent_at, :datetime

    add_index :users, :recovery_password_token, unique: true
  end
end
