class CreateMfcs < ActiveRecord::Migration[6.0]
  def change
    create_table :mfcs do |t|
      t.string :name, null: false, index: { unique: true }
      t.references :district, null: false, foreign_key: true
      t.string :address, null: false
      t.string :division, null: false
      t.string :kind, null: false
      t.string :comment
      t.float :longitude, null: false
      t.float :latitude, null: false

      t.timestamps
    end
  end
end
