class CreateRepairPeriods < ActiveRecord::Migration[6.0]
  def change
    create_table :repair_periods do |t|
      t.datetime :starts_at, null: false
      t.datetime :ends_at
      t.references :repairable, null: false, polymorphic: true

      t.timestamps
    end
  end
end
