class ChangeColumnNullOnCalendarDays < ActiveRecord::Migration[6.0]
  def change
    CalendarDay.find_each do |calendar_day|
      calendar_month = CalendarMonth.find_or_create_by!(project_type: calendar_day.user.project_type, date: calendar_day.date.beginning_of_month)
      calendar_day.update!(calendar_month: calendar_month)
    end
    change_column_null :calendar_days, :calendar_month_id, false
  end
end
