#!/bin/sh
set -e

CONTAINER_TIMEZONE=Europe/Moscow
echo ${CONTAINER_TIMEZONE} > /etc/timezone && dpkg-reconfigure -f noninteractive tzdata
echo "Container timezone set to: $CONTAINER_TIMEZONE"

bundle exec rake db:exists; DB_EXISTS=$?;  
if [ $DB_EXISTS = 1 ]; then rails db:create db:schema:load; else rails db:migrate; fi

if [ -f tmp/pids/server.pid ]; then
  rm tmp/pids/server.pid
fi

bundle exec puma -C config/puma.rb
