# frozen_string_literal: true

FactoryBot.define do
  factory :policlinic do
    district
    sequence(:name) { |n| "Policlinic #{n}" }
    address { Faker::Address.street_address }
    floors { 1 }
    population { 1 }
    longitude { 1.5 }
    latitude { 1.5 }
    size { Policlinic::SIZES.values.sample }
    kind { Policlinic::KINDS.values.sample }
    comment { 'MyString' }
    time_to_inspect_minutes { Policlinic::SIZES_TO_MINUTES[size.to_sym] }
  end
end
