# frozen_string_literal: true

require 'rails_helper'

RSpec.describe WorkingNorm, type: :model do
  it_behaves_like 'ValidFactory'

  describe 'validations' do
    subject { create(:working_norm) }

    it { is_expected.to validate_presence_of(:date) }
    it { is_expected.to validate_presence_of(:hours) }
    it { is_expected.to validate_uniqueness_of(:date) }
  end
end
