# frozen_string_literal: true

require 'rails_helper'

describe DirectUploadPolicy, type: :policy do
  subject { described_class.new(user, record) }

  let_it_be(:record) { ActiveStorage::Blob.new }

  context 'as a regular user' do
    let(:user) { build(:user) }

    it { is_expected.to permit_actions %i[create] }
  end
end
