# frozen_string_literal: true

require 'swagger_helper'

describe 'Codebooks API', type: :request do
  CODEBOOKS_TAG = 'Codebooks'

  sign_in_user

  path '/codebooks' do
    get 'Gets codebooks' do
      include_context 'RequestDefaultParams', CODEBOOKS_TAG

      response 200, 'Codebooks found' do
        schema '$ref' => 'swagger/schemas/codebooks/index.json'
        run_test!
      end
    end
  end
end
