# frozen_string_literal: true

RSpec.configure do |config|
  config.before do
    allow(Redlock::Client).to receive_message_chain('new.lock') do |_resource, _ttl, _options, &block|
      block.call(true)
    end
  end
end
