# frozen_string_literal: true

shared_context 'Not Found' do |params = { resource_name: 'Resource' }|
  response '404', "#{params[:resource_name]} not found" do
    let(:id) { 777 }
    schema '$ref' => 'swagger/schemas/shared/error.json'
    run_test!
  end
end
