# frozen_string_literal: true

shared_examples_for 'RequestDefaultParams' do |tag, csrf_header_required = false|
  tags tag
  consumes 'application/json'
  produces  'application/json'
  parameter name: 'X-Key-Inflection', in: :header, type: :string, enum: INFLECTION_TYPES, default: 'camel'
  parameter name: JWTSessions.csrf_header, in: :header, type: :string, required: true if csrf_header_required
end
