import { MILLISECONDS_IN_SECOND } from '~/assets/utils/constants'
const fontFaceSet = (document as any).fonts

const checkMaterialIconsLoadingState = () => {
  if (fontFaceSet.check('24px Material Icons')) {
    document.body.classList.add('icons-loaded')
    clearInterval(timer)
  }
}

fontFaceSet.onloadingdone = () => {
  checkMaterialIconsLoadingState()
}

fontFaceSet.ready.then(function() {
  checkMaterialIconsLoadingState()
})

// for Safari
const timer = setInterval(checkMaterialIconsLoadingState, 100)

setTimeout(() => {
  clearInterval(timer)
}, MILLISECONDS_IN_SECOND * 30)
