export const declensionOfNumbers = (count: number, textForms: string[]): string => {
  const firstRemainder = Math.abs(count) % 100
  const secondRemainder = firstRemainder % 10
  if (firstRemainder > 10 && firstRemainder < 20) { return textForms[2] }
  if (secondRemainder > 1 && secondRemainder < 5) { return textForms[1] }
  if (secondRemainder === 1) { return textForms[0] }
  return textForms[2]
}

export * from '~/assets/utils/helpers/map'
export * from '~/assets/utils/helpers/time'
export * from '~/assets/utils/helpers/files'
export * from '~/assets/utils/helpers/directUpload'
export * from '~/assets/utils/helpers/inspections'
