FROM node:10.16.3-alpine

RUN mkdir /usr/front
WORKDIR /usr/front

COPY package*.json ./
RUN npm install

COPY . .

ARG NODE_ENV=production
ENV NODE_ENV=${NODE_ENV}

RUN npm run build

ENTRYPOINT ["npm", "run"]

CMD ["start"]
