import { Context } from '@nuxt/types'
import createRepository from '~/api'

export default (ctx: Context, inject: (key: string, value: any) => void) => {
  const repositoryWithAxios = createRepository(ctx.$axios)
  inject('inspections', repositoryWithAxios('/inspections'))
  inject('codebooks', repositoryWithAxios('/codebooks'))
  inject('criteria', repositoryWithAxios('/criteria'))
  inject('calendarDays', repositoryWithAxios('/calendar_days'))
}
