const selectItemFloors = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15]

const selectItemPoliclinicHours = [1, 2, 3, 4, 5]

const selectItemPoliclinicMinutes = [15, 30, 45]

const months = [
  'Январь',
  'Фервраль',
  'Март',
  'Апрель',
  'Май',
  'Июнь',
  'Июль',
  'Август',
  'Сентябрь',
  'Октябрь',
  'Ноябрь',
  'Декабрь'
]

const monthsShort = [
  'янв',
  'фев',
  'мар',
  'апр',
  'май',
  'июн',
  'июл',
  'авг',
  'сен',
  'окт',
  'ноя',
  'дек'
]

const SCHEDULE_ACTIONS = {
  RELOAD: 'reload',
  ERROR: 'error',
  STATE_UPDATE: 'state_update',
  INSPECTIONS_DELETE: 'inspections_delete',
  INSPECTIONS_CREATE: 'inspections_create',
  INSPECTIONS_UPDATE: 'inspections_update',
  CALENDAR_DAYS_UPDATE: 'calendar_days_update'
}

const typeFields = [
  {
    value: 'input',
    text: 'Инпут'
  },
  {
    value: 'select',
    text: 'Селект'
  },
  {
    value: 'checkbox',
    text: 'Чек-бокс'
  }
]

const FILE_STATES = {
  INITIAL: 'initial',
  UPLOADED_TO_INDEXED_DB: 'uploadedToIndexedDb',
  DIRECT_UPLOAD_COMPLETE: 'directUploadComplete',
  S3_UPLOAD_COMPLETE: 's3UploadComplete',
  ATTACH_FILE_COMPLETE: 'attachFileComplete',
  READY_TO_DELETE: 'readyToDelete',
  NOT_DOWNLOADED: 'notDownloaded',
  DOWNLOADED: 'downloaded'
}

const FILE_STATES_PROGRESS = {
  [`${FILE_STATES.INITIAL}`]: 0,
  [`${FILE_STATES.UPLOADED_TO_INDEXED_DB}`]: 30,
  [`${FILE_STATES.DIRECT_UPLOAD_COMPLETE}`]: 60,
  [`${FILE_STATES.S3_UPLOAD_COMPLETE}`]: 90
}

const MILLISECONDS_IN_SECOND = 1000
const MILLISECONDS_IN_MINUTE = 60 * MILLISECONDS_IN_SECOND
const MILLISECONDS_IN_HOUR = MILLISECONDS_IN_MINUTE * 60

const inspectionColors = {
  planned: 'cyan',
  started: 'deep-purple',
  finished: 'primary'
}

export {
  selectItemFloors,
  selectItemPoliclinicHours,
  selectItemPoliclinicMinutes,
  months,
  monthsShort,
  SCHEDULE_ACTIONS,
  typeFields,
  FILE_STATES,
  FILE_STATES_PROGRESS,
  MILLISECONDS_IN_MINUTE,
  MILLISECONDS_IN_HOUR,
  MILLISECONDS_IN_SECOND,
  inspectionColors
}
