# frozen_string_literal: true

module Api
  module Admin
    class BaseController < ApplicationController
      private

      def policy(record)
        policies[record] ||= "#{controller_path.sub('api/', '').classify}Policy".constantize.new(pundit_user, record)
      end
    end
  end
end
