# frozen_string_literal: true

module Api
  class CalendarDaysController < ApplicationController
    def index
      authorize :calendar_day, :index?
      @calendar_days = CalendarDaySearcher.call(params, current_user)
      @pagy = Pagy.new_from_searchkick(@calendar_days)
    end
  end
end
