# frozen_string_literal: true

class AdministrativeDistrict < ApplicationRecord
  has_many :districts, dependent: :restrict_with_exception
  has_many :policlinics, through: :districts

  validates :name, presence: true, uniqueness: true
end
