# frozen_string_literal: true

class District < ApplicationRecord
  belongs_to :administrative_district

  has_many :policlinics, dependent: :restrict_with_exception

  validates :name, presence: true, uniqueness: true
end
