# frozen_string_literal: true

module Admin
  class CodebookPolicy < ApplicationPolicy
    def project_types?
      user.superadmin? || user.admin? || user.curator?
    end

    alias roles? project_types?
    alias states? project_types?
    alias policlinic_kinds? project_types?
    alias policlinic_sizes? project_types?
    alias mfc_divisions? project_types?
    alias mfc_kinds? project_types?
    alias territories? project_types?
    alias curators? project_types?
    alias administrative_districts? project_types?
    alias districts? project_types?
    alias policlinics? project_types?
    alias mfcs? project_types?
    alias checklists? project_types?
    alias inspection_states? project_types?
    alias inspection_cancel_reasons? project_types?
    alias calendar_day_absence_reasons? project_types?
    alias report_kinds? project_types?
    alias checklist_parameters? project_types?
  end
end
