# frozen_string_literal: true

module Admin
  class FileArchivePolicy < ApplicationPolicy
    def index?
      user.superadmin? || user.admin? || user.curator?
    end

    alias show? index?
    alias download? index?
  end
end
