# frozen_string_literal: true

module Admin
  class RepairPeriodPolicy < ApplicationPolicy
    def create?
      user.superadmin? || user.admin?
    end

    def update?
      user.superadmin? || user.admin_of_project?(record.repairable.class.to_s.underscore)
    end

    alias destroy? update?
  end
end
