# frozen_string_literal: true

json.(file_archive, :id, :date)

json.inspector_short_full_name file_archive.inspector.short_full_name
json.inspector_id file_archive.inspector.id

json.inspectable_name file_archive.inspectable.name
json.inspectable_id file_archive.inspectable.id

json.total_file_count file_archive.files.count

json.is_generating LockManager.instance.locked?("file_archives:#{file_archive.id}")
path = Rails.root.join("tmp/file_archives/#{file_archive.id}/Медиафайлы_по_проверке_id_#{file_archive.id}.zip")
json.is_ready File.exist?(path)
