# frozen_string_literal: true

json.(@mfc, :id, :name, :address, :division, :kind, :latitude, :longitude, :comment)

json.district do
  json.id @mfc.district.id
  json.name @mfc.district.name
end

json.administrative_district do
  json.id @mfc.administrative_district.id
  json.name @mfc.administrative_district.name
end

json.territory do
  json.id @mfc.territory.id
  json.name @mfc.territory.name
end

json.repair_periods @mfc.repair_periods do |repair_period|
  json.partial! 'api/admin/repair_periods/repair_period', repair_period: repair_period
end
