# frozen_string_literal: true

json.(@policlinic, :id, :name, :kind, :size, :address, :population, :floors, :latitude, :longitude, :comment, :time_to_inspect_minutes)

json.district do
  json.id @policlinic.district.id
  json.name @policlinic.district.name
end

json.administrative_district do
  json.id @policlinic.administrative_district.id
  json.name @policlinic.administrative_district.name
end

json.repair_periods @policlinic.repair_periods do |repair_period|
  json.partial! 'api/admin/repair_periods/repair_period', repair_period: repair_period
end
