# frozen_string_literal: true

json.array! @users do |user|
  json.id user.id
  json.full_name user.short_full_name
  json.latitude rand(55.70..55.75).to_f
  json.longitude rand(37.38..37.49).to_f
  json.inspections InspectionSerializer.render_as_hash(user.inspections.includes(:inspectable, :checklist).where(date: Date.current))
end
