# frozen_string_literal: true

json.vacations @vacations do |vacation|
  json.(vacation, :id, :starts_at, :ends_at)
  json.user_name vacation.user.short_full_name
  json.user_id vacation.user.id
  json.project_type vacation.user.project_type
  json.user_curator_name vacation.user&.curator&.short_full_name
end

json.partial! 'api/shared/pagy'
