# frozen_string_literal: true

json.policlinic do
  json.kinds { json.array!(Policlinic::KINDS.values.map { |value| { id: value, name: I18n.t("activerecord.attributes.policlinic.kind/#{value}") } }) }
  json.sizes { json.array!(Policlinic::SIZES.values.map { |value| { id: value, name: I18n.t("activerecord.attributes.policlinic.size/#{value}") } }) }
end
