# frozen_string_literal: true

json.blocks checklist.blocks do |block|
  json.(block, :id, :title)
  json.parameters block.parameters do |parameter|
    json.(parameter, :id, :title, :hint)
    json.isImportant parameter.important
    json.issues do
      json.criteria parameter.criteria do |criterion|
        json.id criterion.id
        json.type criterion.input_type
        json.label criterion.title
      end
    end
  end
end
