# frozen_string_literal: true

JWTSessions.algorithm = 'HS256'
JWTSessions.encryption_key = Rails.application.credentials.secret_jwt_encryption_key
JWTSessions.access_exp_time = Rails.env.development? ? 3.months.seconds : 8.hours.seconds
