# frozen_string_literal: true

class CreatePoliclinics < ActiveRecord::Migration[6.0]
  def change
    create_table :policlinics do |t|
      t.string :name, null: false, index: { unique: true }
      t.references :district, null: false, foreign_key: true
      t.string :address, null: false
      t.float :longitude, null: false
      t.float :latitude, null: false
      t.integer :population
      t.integer :floors
      t.string :kind, null: false
      t.string :size, null: false
      t.text :comment

      t.timestamps
    end
  end
end
