class CreateBlocks < ActiveRecord::Migration[6.0]
  def change
    create_table :blocks do |t|
      t.string :title, null: false

      t.timestamps
    end

    add_reference :blocks, :parent_block, foreign_key: { to_table: :blocks }, allow_nil: true
  end
end
