# frozen_string_literal: true

class CreateInspections < ActiveRecord::Migration[6.0]
  def change
    create_table :inspections do |t|
      t.references :inspector, null: false, foreign_key: { to_table: :users }
      # t.references :checklist_template, null: false, foreign_key: true
      t.references :inspectable, polymorphic: true, null: false
      t.datetime :starts_at
      t.datetime :ends_at

      t.timestamps
    end
  end
end
