class CreateInspectionsInspectors < ActiveRecord::Migration[6.0]
  def change
    create_table :inspections_inspectors do |t|
      t.references :inspection, null: false, foreign_key: true, index: {unique: true}
      t.references :inspector, null: false, foreign_key: { to_table: :users }

      t.timestamps
    end
  end
end
