class CreateInspectionResults < ActiveRecord::Migration[6.0]
  def change
    create_table :inspection_results do |t|
      t.references :inspection, null: false, foreign_key: true
      t.references :block, null: false, foreign_key: true
      t.references :group, null: true, foreign_key: true
      t.references :parameter, null: false, foreign_key: true
      t.string :result
      t.datetime :inspected_at
      t.text :comment

      t.timestamps
    end
  end
end
