class AddVacationReferencesToCalendarDay < ActiveRecord::Migration[6.0]
  def change
    add_reference :calendar_days, :vacation, foreign_key: true

    VacationsCalendarDay.find_each do |vacations_calendar_day|
      vacations_calendar_day.calendar_day.update(vacation: vacations_calendar_day.vacation)
    end

    drop_table :vacations_calendar_days
  end
end
