require_relative '../seeder'

class CreateWorkingNorms < ActiveRecord::Migration[6.0]
  def change
    create_table :working_norms do |t|
      t.date :date, null: false, index: { unique: true }
      t.integer :hours, null: false

      t.timestamps
    end

    seeder = Seeder.new
    seeder.create_working_norms
    seeder.create_non_working_days
  end
end
