# frozen_string_literal: true

namespace :services do
  desc 'This task updates swagger and reindexes elasticsearch'

  task update: :environment do
    Rake::Task['rswag:specs:swaggerize'].execute
    Rake::Task['searchkick:reindex:all'].execute
    Rake::Task['db:migrate'].execute
  end
end
