# frozen_string_literal: true

FactoryBot.define do
  factory :criterion do
    title { Faker::Lorem.sentence }
    input_type { 'input' }
    project_type { ProjectTypes::ALLOWED_TYPES.values.sample }

    trait :mfc do
      project_type { 'mfc' }
    end

    trait :policlinic do
      project_type { 'policlinic' }
    end

    trait :select_with_options do
      input_type { 'select' }
      select_options { %w[one two three] }
    end
  end
end
