# frozen_string_literal: true

FactoryBot.define do
  factory :repair_period do
    starts_at { Time.current }
    ends_at { Time.current + 1.month }
    association :repairable, factory: :mfc

    trait :endless do
      ends_at { nil }
    end
  end
end
