# frozen_string_literal: true

FactoryBot.define do
  factory :report do
    kind { Report::KINDS.values.first }
    project_type { ProjectTypes::ALLOWED_TYPES.values.first }

    trait :with_matrix do
      serialized_report_matrix { GenerateReportMatrix.call(Date.current, 'policlinic').to_json }
    end
  end
end
