# frozen_string_literal: true

require 'rails_helper'

RSpec.describe Parameter, type: :model do
  it_behaves_like 'ValidFactory'

  it { is_expected.to have_many(:criteria).through(:parameters_criteria) }

  it { is_expected.to validate_presence_of(:title) }
end
