# frozen_string_literal: true

require 'rails_helper'

RSpec.describe Territory, type: :model do
  it_behaves_like 'ValidFactory'

  describe 'validations' do
    subject { create(:territory) }

    it { is_expected.to validate_presence_of(:name) }
    it { is_expected.to validate_uniqueness_of(:name) }
  end
end
