# frozen_string_literal: true

require 'rails_helper'

describe CriterionPolicy, type: :policy do
  subject { described_class.new(user, record) }

  let_it_be(:record) { build(:criterion) }

  context 'as a regular user' do
    let(:user) { build(:user) }

    it { is_expected.to permit_actions %i[index] }
  end
end
