import { getTime } from '~/assets/utils/helpers'
import { MILLISECONDS_IN_MINUTE } from '~/assets/utils/constants'

export const getPeriodOfInspection = (startsAt: string, timeToInspectMinutes: number) : string => {
  const endsAt = new Date(startsAt).getTime() + timeToInspectMinutes * MILLISECONDS_IN_MINUTE
  return `${getTime(startsAt)} - ${getTime(endsAt)}`
}
