export const updateSW = async() => {
  const workbox = await window.$workbox
  if (workbox) {
    // update SW if he was changed
    workbox.g.update()
    workbox.addEventListener('installed', () => {
      // eslint-disable-next-line no-console
      console.log('[Service Worker] installed')
    })
    workbox.addEventListener('activated', () => {
      // make offline-page from index page
      fetch(window.origin)
      // eslint-disable-next-line no-console
      console.log('[Service Worker] activated')
    })
  }
}
