export const state = () => ({
  connectionState: window.navigator.onLine ? 'online' : 'offline'
})

export const getters = {
  isOnline: state => state.connectionState === 'online'
}

export const mutations = {
  SET_CONNECTION_STATE(state, value) {
    state.connectionState = value
  }
}

export const actions = {
  setConnectionState({ commit }, payload) {
    commit('SET_CONNECTION_STATE', payload)
  }
}
