import {
  ICommonIndexPayload,
  IRangeFilter
} from '~/ts/interfaces'

export interface ICalendarDay {
  id: number,
  date: string
}

export interface ICalendarDaysIndexResponse {
  currentPage: number
  pageItems: number
  totalPages: number
  totalCount: number
  calendarDays: ICalendarDay[]
}

export interface ICalendarDaysIndexPayload extends ICommonIndexPayload{
  filters: {
    date: {
      field: 'date',
      range: IRangeFilter
    }
  }
}
