export interface IRequredValidationPayload {
  allowFalse: boolean
}

export interface IValidationLength {
  length: number
}

export interface IBetweenValidationPayload {
  min: number
  max: number
}

export interface IValidationRules {
  required?: boolean | IRequredValidationPayload
  email?: boolean
  min?: IValidationLength
  max?: IValidationLength
  between?: IBetweenValidationPayload
}
