FROM node:10.16.3-alpine

RUN mkdir /usr/front
WORKDIR /usr/front

COPY package*.json ./
RUN npm install

ARG NODE_ENV=developmentDocker
ENV NODE_ENV=${NODE_ENV}

ENTRYPOINT ["npm", "run"]

CMD ["dev"]
