import {
  ICommonCreateResponse,
  ICommonUpdateResponse,
  ICommonIndexPayload
} from '~/ts/interfaces'

export interface IHourIndex {
  id: number
  date: string
  workingHoursNorms: number
}

export interface IHourIndexResponse {
  currentPage: number
  pageItems: number
  totalPages: number
  totalCount: number
  workingNorms: IHourIndex[]
}

export interface IHourIndexPayload extends ICommonIndexPayload{}

export interface IHourCreate {
  date: string
  workingHoursNorms: number
}

export interface IHourCreateResponse extends ICommonCreateResponse{}

export interface IHourUpdate {
  date: string
  workingHoursNorms: number
}

export interface IHourUpdateResponse extends ICommonUpdateResponse {}

export interface IHourShow {
  id: number
  date: string
  workingHoursNorms: number
}
