import { IDay, IInspectionShowResponse, DayKind } from '@/ts/interfaces/index'

export interface ICalendarDay {
  id: number,
  date: string,
  kind: DayKind,
  inspections: IInspectionShowResponse[]
}

export interface IInspectionScheduleRow {
  id: number,
  shortFullName: string,
  curator: {
    id: number,
    shortFullName: string
  },
  calendarDays: ICalendarDay[]
}

export interface IInspectionsScheduleDay {
  date: string
  id: number
  kind: DayKind
  inspections: IInspectionShowResponse[]
}

export interface IInspectionSchedulesShowResponse {
  users: IInspectionScheduleRow[]
  nonWorkingDays: IDay[]
}

export interface IInspectionSchedulesDeleteResponse {
}

export interface IInspectionSchedulesCreateResponse {
  month: string
  jobId: string
}
