import {
  ICommonCreateResponse,
  ICommonUpdateResponse
} from '~/ts/interfaces'

export interface IRepairPeriodIndex {
  id: number
  startsAt: string
  endsAt: string
}

export interface IRepairPeriodCreateResponse extends ICommonCreateResponse{}

export interface IRepairPeriodCreate {
  startsAt: string
  endsAt: string
  repairableId: number
  repairableType: string
}

export interface IRepairPeriodUpdateResponse extends ICommonUpdateResponse {}

export interface IRepairPeriodUpdate {
  startsAt: string
  endsAt: string
  repairableId: number
  repairableType: string
}
