export type IReportType = 'inspections'
export type IReportState = 'generated' | 'generating'

export interface IReport {
  createdAt: string
  id: number
  kind: IReportType
  state: IReportState
}

export interface IReportsIndexResponse {
  currentPage: number
  pageItems: number
  totalPages: number
  totalCount: number
  reports: IReport[]
}

export interface IReportCreate {
  date: string
  kind: IReportType | ''
}
